Package: groovy.transform

## [Groovy] Annotation Type CompileDynamic

- groovy.transform.CompileDynamic

- All Implemented Interfaces and Traits:
    Annotation

      @AnnotationCollector(processor: org.codehaus.groovy.transform.CompileDynamicProcessor)
      @Retention(value: RetentionPolicy.SOURCE)
      @Target(value: [ElementType.TYPE, ElementType.METHOD, ElementType.CONSTRUCTOR])
      @interface CompileDynamic

  An annotation which is just a shortcut for @CompileStatic(TypeCheckingMode.SKIP). This can be used for example if you statically compile a full class but you want to skip some methods without having to use the full annotation.

  Since:
    2.1.0

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`